package it.integry.integrywmsnative.view.dialogs.basket_lu.interfaces;

import android.content.Context;
import androidx.databinding.ViewDataBinding;

import it.integry.integrywmsnative.core.expansion.RunnableArgs;

public interface IDialogBasketLUViewModel {

    void setContext(Context context);

    void setBinding(ViewDataBinding binding);

    void setInputData(Object data);

    void onShow();

    void onPreShow();

    void setOnConfirmClickListener(RunnableArgs<Object> onConfirm);

    void setOnAbortClickListener(Runnable onAbort);

    void setOnPrev(Runnable onPrev);

    void setOnDone(RunnableArgs<Object> onDone);

}
